/*
 *  Copyright (C) 2004 Bucote Software LLC
 *  tbradley@bucote.com
 *
 *  file: main.cpp
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software Foundation,
 *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#include <qapplication.h>

#include "BDesktopClock.h"
#include "BSettings.h"

int main(int argc, char ** argv)
{
        QApplication app(argc, argv);

	BSettings settings;
	settings.loadSettings();
	
	Qt::WFlags flags = Qt::WNoAutoErase;
	if(!settings.showWM)
		flags |= Qt::WStyle_Customize | Qt::WStyle_NoBorder;

	if(settings.stayOnTop)
		flags |= Qt::WStyle_StaysOnTop;

        BDesktopClock * clock = new BDesktopClock(flags, settings);

	app.setMainWidget(clock);

        clock->show();

        return app.exec();
}



